<?php
/**
 * Controller to handling deleting video process
 *
 * @package wp-tube-profit-wiz
 * @author Chris Jenkins
 * @link http://pluginsforyou.com/
 */

if ( ! class_exists( 'IPMTube_Ajax_Delete' ))
{
    class IPMTube_Ajax_Delete
    {
        /**
         * Execution save options process
         *
         * @return void
         */
        public function exec()
        {
            $item = false;
            if ( ! empty( $_REQUEST['id'] )) {
                $id   = absint( $_REQUEST['id'] );
                $item = get_post( $id );
            }
            if ( ! $item ) {
                echo json_encode( array(
                    'status'   => 0,
                    'message'  => __( 'Error system', IPMTUBE_SLUG )
                ) );
                die();
            }
            $result = wp_delete_post( $item->ID, true );
            if ( $result ) {
                echo json_encode( array(
                    'status'   => 1,
                    'message'  => __( 'Video successfully deleted', IPMTUBE_SLUG ),
                    'redirect' => admin_url() . 'admin.php?page=wptubeprofitwiz&delete=1'
                ) );
            } else {
                echo json_encode( array(
                    'status'  => 0,
                    'message' => __( 'Failed to remove the video', IPMTUBE_SLUG )
                ) );
            }
            die();
        }
    }
}
