<?php
/**
 * Admin header view
 *
 * @package wp-tube-profit-wiz
 * @author Chris Jenkins
 * @link http://pluginsforyou.com/
 */

$page = $this->pageId;
$struct = array(
     'wptubeprofitwiz' => array(
         'title'     => __( 'All Videos', IPMTUBE_SLUG ),
         'info'      => __( 'See all youtube video and manage it', IPMTUBE_SLUG ),
         'icon'      => 'format-video'
     ),
     'wptubeprofitwiz-addnew' => array(
         'title'     => __( 'Create New', IPMTUBE_SLUG ),
         'info'      => __( 'Create new youtube video', IPMTUBE_SLUG ),
         'icon'      => 'plus-alt'
     )
 );
?>
<div class="ipmtube-top">
<!--     <iframe src="http://pluginsforyou.com/products/FacebookGroup/"
                width="100%" height="85" align="left">
</iframe> -->
    <div class="ipmtube-header">
        <div class="ipmtube-page-title">
            <h1>
                <i class="dashicons-before dashicons-format-video"></i>
                <span>
                    <strong><span>WP</span> Tube Profit Wiz</strong>
                    <em> <?php _e( 'Monetize any youTube video with just some clicks!', IPMTUBE_SLUG ); ?></em>
                </span>
            </h1>
        </div>
    </div>
    <div class="ipmtube-nav">
        <ul>
        <?php
        $title = isset( $this->title ) ? $this->title : '';
        $info  = isset( $this->info ) ? $this->info : '';
        if ( array_key_exists( $page, $struct ))
        {
            if ( empty( $title )) {
                $title = $struct[$page]['title'];
            }
            if ( empty( $info )) {
                $info  = $struct[$page]['info'];
            }
            if ( empty( $icon )) {
                $icon  = $struct[$page]['icon'];
            }
        }
        foreach( $struct as $name => $data )
        {
            $active = '';
            if ( $page == $name ) {
                $active = ' class="active"';
            }
            echo '<li' . $active . '>' .
                    '<a href="admin.php?page=' . $name . '">' .
                        '<i class="dashicons-before dashicons-' . $data['icon'] . '"></i>' .
                        $data['title'] .
                    '</a>' .
                '</li>';
        }
        ?>
        </ul>
    </div>
    <div class="ipmtube-page-info">
        <i class="dashicons-before dashicons-<?php echo $icon; ?>"></i>
        <div class="ipmtube-info">
            <h2><?php echo $title; ?></h2>
            <h3><?php echo $info; ?></h3>
        </div>
    </div>
</div>
