<h2 class="ipmtube-field-title mb20 py10"><?php _e( 'Button', IPMTUBE_SLUG ); ?></h2>

<!-- start: .ipmtube-content-onoff -->
<div class="ipmtube-content-onoff">

  <?php
  /*
   * Show/Hide
   */
  ?>
  <!-- start: .ipmtube-field-row -->
  <div class="ipmtube-field-row ipmtube-field-x">
    <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
      <label for="input-bottom-show-button"><?php _e( 'Show/Hide Button', IPMTUBE_SLUG ); ?></label>
    </div>

    <!-- start: .ipmtube-field -->
    <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
      <div class="ipmtube-onoff ipmtube-onoff-action">
          <?php
          $val = $this->setting->getSetting( 'bottom_show_button', 'false' );
          if ( $val == 'false' ) {
              $clon  = '';
              $cloff = ' active';
          } else {
              $clon  = ' active';
              $cloff = '';
          }
          ?>
          <div class="ipmtube-btn-group">
            <button data-value="true" class="ipmtube-btn-onoff<?php echo $clon; ?> ipmtube-btn-on" type="button"><?php _e( 'On', IPMTUBE_SLUG ); ?></button>
            <button data-value="false" class="ipmtube-btn-onoff<?php echo $cloff; ?> ipmtube-btn-off" type="button"><?php _e( 'Off', IPMTUBE_SLUG ); ?></button>
          </div>
          <input type="hidden" class="ipmtube-onoff-value" name="bottom_show_button" value="<?php echo $val; ?>" />
      </div>

      <div class="ipmtube-help">
        <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
        <div class="ipmtube-help-content ipmtube-hide">
          <?php _e( 'Set whether to display the button.', IPMTUBE_SLUG ); ?>
        </div>
      </div>
    </div>
    <!-- end: .ipmtube-field -->
  </div>
  <!-- end: .ipmtube-field-row -->

  <?php
  if ( $val == 'false' ) {
      $dspMain = ' style="display:none;"';
  } else {
      $dspMain = '';
  }
  ?>
  <div class="ipmtube-content-onoff-main"<?php echo $dspMain; ?>>

    <?php
    /*
     * Button
     */
    ?>
    <!-- start: .ipmtube-field-row -->
    <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
      <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-bottom-button-label"><?php _e( 'Button Label', IPMTUBE_SLUG ); ?></label>
      </div>

      <!-- start: .ipmtube-field -->
      <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
        <?php
        $label = $this->setting->getSetting( 'bottom_button_label' );
        ?>
        <input type="text" id="input-bottom-button-label" class="ipmtube-input ipmtube-input-full" name="bottom_button_label" value="<?php echo $label; ?>">

        <div class="ipmtube-help">
          <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
          <div class="ipmtube-help-content ipmtube-hide">
            <?php _e( 'Set the button label.', IPMTUBE_SLUG ); ?>
          </div>
        </div>
      </div>
      <!-- end: .ipmtube-field -->
    </div>
    <!-- end: .ipmtube-field-row -->

    <?php
    //Button Style
    ?>
    <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-bottom-button_style"><?php _e( 'Button Style', IPMTUBE_SLUG ); ?></label>
        </div>
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

            <select name="bottom_button_style" id="input-bottom-button_style">
                <?php
                $current = $this->setting->getSetting( 'bottom_button_style', 'flat' );
                $styles  = array(
                    'flat'     => __( 'Flat', IPMTUBE_SLUG ),
                    'gradient' => __( 'Gradient', IPMTUBE_SLUG ),
                    'rounded'  => __( 'Rounded', IPMTUBE_SLUG )
                );
                foreach( $styles as $skey => $label ) {
                    $sltd = '';
                    if ( $skey == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
            </select>

            <div class="ipmtube-help">
                <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                <div class="ipmtube-help-content ipmtube-hide">
                    <?php _e( 'The style of the form button.', IPMTUBE_SLUG ); ?>
                </div>
            </div>
        </div>
    </div>

    <?php
    //Button Color
    ?>
    <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-bottom-button_color"><?php _e( 'Button Color', IPMTUBE_SLUG ); ?></label>
        </div>
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

            <select name="bottom_button_color" id="input-bottom-button_color">
                <?php
                $current = $this->setting->getSetting( 'bottom_button_color', 'clean' );
                $colors  = array(
                        'clean'    => __( 'Clean', IPMTUBE_SLUG ),
                        'dark'     => __( 'Dark', IPMTUBE_SLUG ),
                        'red'      => __( 'Red', IPMTUBE_SLUG ),
                        'blue'     => __( 'Blue', IPMTUBE_SLUG ),
                        'green'    => __( 'Green', IPMTUBE_SLUG ),
                        'orange'   => __( 'Orange', IPMTUBE_SLUG ),
                        'gold'     => __( 'Gold', IPMTUBE_SLUG ),
                        'aqua'     => __( 'Aqua', IPMTUBE_SLUG ),
                        'purple'   => __( 'Purple', IPMTUBE_SLUG ),
                        'lime'     => __( 'Lime', IPMTUBE_SLUG )
                );
                foreach( $colors as $skey => $label ) {
                    $sltd = '';
                    if ( $skey == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
            </select>

            <div class="ipmtube-help">
                <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                <div class="ipmtube-help-content ipmtube-hide">
                    <?php _e( 'The color of the form button.', IPMTUBE_SLUG ); ?>
                </div>
            </div>
        </div>
    </div>

    <?php
    //Button Size
    ?>
    <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-bottom-button_size"><?php _e( 'Button Size', IPMTUBE_SLUG ); ?></label>
        </div>
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

            <select name="bottom_button_size" id="input-bottom-button_size">
                <?php
                $current = $this->setting->getSetting( 'bottom_button_size', 'md' );
                $sizes   = array(
                        'xs'  => __( 'Extra Small', IPMTUBE_SLUG ),
                        'sm'  => __( 'Small', IPMTUBE_SLUG ),
                        'md'  => __( 'Medium', IPMTUBE_SLUG ),
                        'lg'  => __( 'Large', IPMTUBE_SLUG )
                );
                foreach( $sizes as $skey => $label ) {
                    $sltd = '';
                    if ( $skey == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
            </select>

            <div class="ipmtube-help">
                <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                <div class="ipmtube-help-content ipmtube-hide">
                    <?php _e( 'The size of the form button.', IPMTUBE_SLUG ); ?>
                </div>
            </div>
        </div>
    </div>

    <?php
    //Font Family
    ?>
    <!-- start: .ipmtube-field-row -->
    <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-bottom-button-font-family"><?php _e( 'Font Family', IPMTUBE_SLUG ); ?></label>
        </div>
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

            <?php
            $current = $this->setting->getSetting( 'bottom_button_font_family', 'roboto' );
            $fonts   = IPMTube_Font::getOptions();
            $fname   = IPMTube_Font::getFontName( $current );
            ?>
            <span class="ipmtube-font-family">
                <div class="ipmtube-menu ipmtube-fancy-option">
                    <div class="ipmtube-selected">
                        <div class="ipmtube-selected-box">
                            <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                        </div>
                        <span class="toggle"></span>
                    </div>
                    <div class="ipmtube-select" style="display: none;">
                        <div class="ipmtube-select-content">
                            <ul class="clearfix">
                                <?php
                                foreach( $fonts as $fkey => $label ) :
                                ?>
                                    <li data-select="<?php echo $fkey; ?>">
                                        <strong class="ipmtube-select-label">
                                            <?php echo $label; ?>
                                        </strong>
                                    </li>
                                <?php
                                endforeach;
                                ?>
                            </ul>
                        </div>
                    </div>
                    <input type="hidden" name="bottom_button_font_family" class="ipmtube-input-select" value="<?php echo $current; ?>" />
                </div>
            </span>

            <div class="ipmtube-help">
                <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                <div class="ipmtube-help-content ipmtube-hide">
                    <?php _e( 'The font family of the button.', IPMTUBE_SLUG ); ?>
                </div>
            </div>
        </div>
    </div>
    <!-- end: .ipmtube-field-row -->

    <div class="ipmtube-button-action-fields">

      <?php
      //Action
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x">
          <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-bottom-button-action"><?php _e( 'Action', IPMTUBE_SLUG ); ?></label>
          </div>
          <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $action  = $this->setting->getSetting( 'bottom_button_action', 'redirect' );
              $actions = array(
                'redirect'    => __( 'Redirect to URL', IPMTUBE_SLUG ),
                'optin_form'  => __( 'Display Optin Form', IPMTUBE_SLUG ),
                'popup'       => __( 'Display Popup', IPMTUBE_SLUG )
              );
              ?>
              <select id="input-bottom-button-action" class="input-button-action" name="bottom_button_action">
                <?php
                foreach( $actions as $key => $label )
                {
                    $sltd = '';
                    if ( $key == $action ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"'.$sltd.'>' . $label . '</option>';
                }
                ?>
              </select>

              <div class="ipmtube-help">
                  <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                  <div class="ipmtube-help-content ipmtube-hide">
                      <?php _e( 'The action of the button.', IPMTUBE_SLUG ); ?>
                  </div>
              </div>
          </div>
      </div>
      <!-- end: .ipmtube-field-row -->
      <?php
      $dspRedirect =
      $dspForm     =
      $dspPopup    = ' style="display:none;"';
      if ( $action == 'redirect' ) {
          $dspRedirect = '';
      } elseif ( $action == 'optin_form' ) {
          $dspForm = '';
      } elseif ( $action == 'popup' ) {
          $dspPopup = '';
      }
      ?>
      <div class="ipmtube-button-action-fields ipmtube-button-action-redirect"<?php echo $dspRedirect; ?>>

          <?php
          //URL
          ?>
          <!-- start: .ipmtube-field-row -->
          <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
              <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
                  <label for="input-bottom-button-url"><?php _e( 'URL', IPMTUBE_SLUG ); ?></label>
              </div>
              <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

                <?php
                $url = $this->setting->getSetting( 'bottom_button_url' );
                ?>
                <input type="text" id="input-bottom-button-url" class="ipmtube-input ipmtube-input-full" name="bottom_button_url" value="<?php echo $url; ?>">


                  <div class="ipmtube-help">
                      <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                      <div class="ipmtube-help-content ipmtube-hide">
                          <?php _e( 'The URL of the button.', IPMTUBE_SLUG ); ?>
                      </div>
                  </div>
              </div>
          </div>
          <!-- end: .ipmtube-field-row -->
      </div>

      <?php
      $this->dspForm  = $dspForm;
      $this->dspPopup = $dspPopup;
      $this->view( 'manage/main/bottom-content/button-action-form' );
      $this->view( 'manage/main/bottom-content/button-action-popup' );
      ?>

    </div>

  </div>
  <!-- end: .ipmtube-content-onoff-main -->
</div>
<!-- end: .ipmtube-content-onoff -->
