<?php
/**
 * Page navigation view
 *
 * @package wp-tube-profit-wiz
 * @author Chris Jenkins
 * @link http://pluginsforyou.com/
 */
?>
<div class="ipmtube-sidebar">
  <div class="ipmtube-sidebar-inner">
    <input type="hidden" name="tab_selected" id="ipmtube-tab-selected" value="<?php echo $this->tab; ?>" />
    <ul class="ipmtube-page-menu ipmtube-tab-menu">
      <li>
        <a href="#ipmtube-section-general" class="active">
          <i class="ipmtube-fa ipmtube-fa-cogs"></i>
          <strong><?php _e( 'General', IPMTUBE_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      if ( $this->video ) :
      ?>
      <li>
        <a href="#ipmtube-section-design">
          <i class="ipmtube-fa ipmtube-fa-paint-brush"></i>
          <strong><?php _e( 'Design', IPMTUBE_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipmtube-section-top-content">
          <i class="ipmtube-fa ipmtube-fa-pencil"></i>
          <strong><?php _e( 'Top Content', IPMTUBE_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipmtube-section-bottom-content">
          <i class="ipmtube-fa ipmtube-fa-pencil"></i>
          <strong><?php _e( 'Bottom Content', IPMTUBE_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipmtube-section-restricted">
          <i class="ipmtube-fa ipmtube-fa-key"></i>
          <strong><?php _e( 'Restricted', IPMTUBE_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipmtube-section-statistic">
          <i class="ipmtube-fa ipmtube-fa-line-chart"></i>
          <strong><?php _e( 'Statistic', IPMTUBE_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      endif;
      ?>
    </ul>
  </div>
</div>
