<?php
$setting = $this->setting;
$label   = $setting->getSetting( $this->prefix . '_autoresponder_form_label', 'false' );
$action  = $setting->getSetting( $this->prefix . '_autoresponder_action' );
$nameon  = $setting->getSetting( $this->prefix . '_autoresponder_name_activate', 'true' );
$fname   = $setting->getSetting( $this->prefix . '_autoresponder_name' );
$femail  = $setting->getSetting( $this->prefix . '_autoresponder_email' );
$lname   = stripslashes( $setting->getSetting( $this->prefix . '_autoresponder_name_label', __( 'Your Name', 'wp-popper-pro'  ) ));
$lemail  = stripslashes( $setting->getSetting( $this->prefix . '_autoresponder_email_label', __( 'Your Email', 'wp-popper-pro'  ) ));


$id  = 'ipmtube-' . $this->video->ID;
$id .= '-' . $this->prefix . '-optin-form';
?>
<div id="<?php echo $id; ?>" class="ipmtube-ui-modal" style="display:none;">
  <div class="ipmtube-popup-inner ipmtube-ui-modal-main">
    <div class="ipmtube-ui-close">
        <a class="ipmtube-ui-close-link" href="#">
          <i class="ipmtube-fa ipmtube-fa-times"></i>
        </a>
    </div>
    <div class="ipmtube-ui-modal-content">
      <div class="ipmtube-optin-form-content">

        <div class="ipmtube-form">

            <h3> <?php echo $setting->getSetting( $this->prefix . '_responder_title', '' ); ?></h3>
            <div class="ipmtube-form-info">
                <?php echo $setting->getSetting( $this->prefix . '_responder_info', '' ); ?>
            </div>

            <div class="ipmtube-autoresponder">
                <form class="ipmtube-form-main" method="post" action="<?php echo $action; ?>"  target="_blank">
                    <div class="ipmtube-fields ipmtube-clear">
                        <?php
                        if ( $code = $setting->getSetting( $this->prefix . '_autoresponder_code' ) )
                        {
                            $data = IPMTube_Form::parse( $code );
                            if ( ! empty( $data['hiddens'] ))
                            {
                                foreach( $data['hiddens'] as $key => $value ) {
                                    $value    = str_replace( '"', '', $value );
                                    echo '<input type="hidden" name="' . $key . '" value="' . $value . '" />';
                                }
                            }
                        }
                        if ( $nameon == 'true' ) :
                            $placeholder = ' placeholder="' . $lname . '"';
                        ?>
                            <div class="ipmtube-field">
                                <?php
                                if ( $label == 'true' ):
                                    $placeholder = '';
                                ?>
                                    <div class="ipmtube-form-label">
                                        <label for="ipmtube-input-name"><?php echo $lname; ?></label>
                                    </div>
                                <?php
                                endif;
                                ?>
                                <div class="ipmtube-form-control">
                                    <input type="text" id="ipmtube-input-name" name="<?php echo $fname; ?>" value=""<?php echo $placeholder; ?>>
                                </div>
                            </div>
                        <?php
                        endif;
                        ?>

                        <div class="ipmtube-field">
                            <?php
                            $placeholder = ' placeholder="' . $lemail . '"';
                            if ( $label == 'true' ):
                                $placeholder = '';
                            ?>
                                <div class="ipmtube-form-label">
                                    <label for="ipmtube-input-email"><?php echo $lemail; ?></label>
                                </div>
                            <?php
                            endif;
                            ?>
                            <div class="ipmtube-form-control">
                                <input type="text" id="ipmtube-input-email" name="<?php echo $femail; ?>" value=""<?php echo $placeholder; ?>>
                            </div>
                        </div>
                    </div>

                    <?php
                    $btnstyle = $setting->getSetting( 'popup_button_style', 'flat' );
                    $btncolor = $setting->getSetting( 'popup_button_color', 'clean' );
                    $btnsize  = $setting->getSetting( 'popup_button_size', 'md' );
                    $btnclass = 'ipmtube-btn ipmtube-btn-'.$btnstyle.' ipmtube-btn-'.$btncolor.' ipmtube-btn-'.$btnsize;
                    $btnlabel = $setting->getSetting( $this->prefix . '_autoresponder_button_text', __( 'Subscribe', IPMTUBE_SLUG ) );
                    ?>
                    <div class="ipmtube-form-button _form-button">
                        <button type="submit" name="do_save_email" class="ipmtube-form-submit <?php echo $btnclass; ?>" data-id="<?php echo $this->video->ID; ?>">
                            <?php echo stripslashes( $btnlabel ); ?>
                        </button>
                    </div>
                </form>
            </div>
        </div>

      </div>
    </div>
  </div>
</div>
