<?php
/*
Plugin Name: WP Tube Profit Wiz
Plugin URI: http://yourimhelper.com/plugin_uri
Version: 1.0
Author: <a href="http://yourimhelper.com/chris_jenkins" target="_blank">Chris Jenkins</a> &amp; <a href="http://yourimhelper.com/plugins_team" target="_blank">The PluginsForYou.com Team</a>
Author URI: http://yourimhelper.com/plugin_author_uri 
Description: WP Tube Profit Wiz plugin is used to monetize any youTube video with just a few clicks. | <a href="../wp-content/plugins/wp-tube-profit-wiz/WP_Tube_Profit_Wiz.pdf" title="WP Tube Profit Wiz PDF User Manual" target="_blank">PDF User Manual</a> |
*/

//
//Define constant
define( 'IPMTUBE_TITLE', 'WP Tube Profit Wiz' );

define( 'IPMTUBE_PLUGIN', 1 );
define( 'IPMTUBE_FILE', __FILE__ );
define( 'IPMTUBE_PATH', plugin_dir_path( __FILE__ ) );
define( 'IPMTUBE_BASE_URL', plugin_dir_url( __FILE__ ) );
define( 'IPMTUBE_APP',  IPMTUBE_PATH . 'app/'  );
define( 'IPMTUBE_CTRL', IPMTUBE_APP . 'controllers/'  );
define( 'IPMTUBE_LIB',  IPMTUBE_APP . 'libraries/'  );
define( 'IPMTUBE_VIEW', IPMTUBE_APP . 'views/'  );
define( 'IPMTUBE_PAGENAME', 'wptubeprofitwiz'  );
define( 'IPMTUBE_SLUG', 'wp-tube-profit-wiz'  );

//
//Include application file and run all function
require_once( IPMTUBE_APP . 'app.php' );
IPMTube_App::run();
