<?php
/**
 * Controller for handle get optin form data
 *
 * @package wp-tube-profit-wiz
 * @author Chris Jenkins
 * @link http://pluginsforyou.com/
 */

if ( ! class_exists( 'IPMTube_Ajax_Getoptin' ))
{
    class IPMTube_Ajax_Getoptin
    {
        /**
         * Execution get optin form process
         *
         * @return void
         */
        public function exec()
        {
            if ( ! empty( $_POST['html'] ))
            {
                $html = str_replace( "'", '"', $_POST['html'] );
                $data = IPMTube_Form::parse( $html );
                echo json_encode( array(
                    'status'    => 1,
                    'data'      => $data
                ) );
                die();
            }
            echo json_encode( array(
                'status'  => 0
            ) );
            die();
        }
    }
}
