<?php
/**
 * Admin dashboard view
 *
 * @package wp-tube-profit-wiz
 * @author Chris Jenkins
 * @link http://pluginsforyou.com/
 */
?>
<div id="ipmtube-dashboard" class="wrap ipmtube-wrap ipmtube-admin">
    <div class="ipmtube-inner">

        <?php
        $this->pageId = 'wptubeprofitwiz';
        $this->view( 'manage/general/header' );
        ?>

        <div class="ipmtube-main">
            <div class="ipmtube-main-info">
                <?php
                if ( isset( $_GET['create'] )) :
                ?>
                <div class="ipmtube-alert ipmtube-alert-success" style="display: block;">
                    <?php _e( 'Successfully add a notification bar.', 'wp_combo_bar' ); ?>
                </div>
                <?php
                elseif ( isset( $_GET['delete'] )) :
                ?>
                <div class="ipmtube-alert ipmtube-alert-success" style="display: block;">
                    <?php _e( 'Successfully deleting a notification bar.', 'wp_combo_bar' ); ?>
                </div>
                <?php
                endif;
                ?>
            </div>

            <div class="ipmtube-primary">
                <?php
                require_once( IPMTUBE_LIB . 'tableMain.php' );
                $list = new IPMTube_Table_Main();
                $list->render();
                ?>
            </div>
        </div>

    </div>

</div>
