<div class="ipmtube-button-action-fields ipmtube-button-action-optin_form"<?php echo $this->dspForm; ?>>

  <h2 class="ipmtube-field-title mb20 py10"><?php _e( 'Optin Form Settings', IPMTUBE_SLUG ); ?></h2>

  <?php
  //Form Title
  ?>
  <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
      <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-bottom-responder-title"><?php _e( 'Form Title', IPMTUBE_SLUG ); ?></label>
      </div>
      <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = stripslashes( $this->setting->getSetting( 'bottom_responder_title', '' ));
          ?>
          <input type="text" id="input-bottom-responder-title" class="ipmtube-input ipmtube-input-full ipmtube-input-preview" name="bottom_responder_title" value="<?php echo $title; ?>">

          <div class="ipmtube-help">
              <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
              <div class="ipmtube-help-content ipmtube-hide">
                  <?php _e( 'Set the title for the optin form.', IPMTUBE_SLUG ); ?>
              </div>
          </div>
      </div>
  </div>

  <?php
  //Form Info
  ?>
  <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
      <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-bottom-responder-info"><?php _e( 'Form Info', IPMTUBE_SLUG ); ?></label>
      </div>
      <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $info = stripslashes( $this->setting->getSetting( 'bottom_responder_info', '' ));
          ?>
          <input type="text" id="input-bottom-responder-info" class="ipmtube-input ipmtube-input-full ipmtube-input-preview" name="bottom_responder_info" value="<?php echo $info; ?>">

          <div class="ipmtube-help">
              <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
              <div class="ipmtube-help-content ipmtube-hide">
                  <?php _e( 'Set the info for the optin form.', IPMTUBE_SLUG ); ?>
              </div>
          </div>
      </div>
  </div>

  <?php
  //Form Code
  ?>
  <div class="ipmtube-field-row ipmtube-field-y ipmtube-help-abs">
      <div class="ipmtube-form-label">
          <label for="input-bottom-autoresponder-code"><?php _e( 'Form Code', IPMTUBE_SLUG ); ?></label>
      </div>
      <div class="ipmtube-field">

          <?php
          $code = $this->setting->getSetting( 'bottom_autoresponder_code', '' );
          ?>
          <textarea class="ipmtube-input ipmtube-input-full ipmtube-input-optin" id="input-bottom-autoresponder-code" name="bottom_autoresponder_code" rows="7"><?php echo $code; ?></textarea>

          <div class="ipmtube-help">
              <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
              <div class="ipmtube-help-content ipmtube-hide">
                  <?php _e( 'Code of autoresponder form which can be obtained from the online email marketing you use such as MailChimp, AWeber', IPMTUBE_SLUG ); ?>
              </div>
          </div>
      </div>
  </div>

  <?php
  $hdisplay = ' style="display:none;"';
  if ( ! empty( $code ) ) {
      $hdisplay = '';
  }
  $data = IPMTube_Form::parse( $code );
  ?>
  <div class="ipmtube-optin-settings"<?php echo $hdisplay; ?>>

      <?php
      //Form Action URL
      ?>
      <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
          <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-bottom-autoresponder-action"><?php _e( 'Action URL', IPMTUBE_SLUG ); ?></label>
          </div>
          <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $action = $this->setting->getSetting( 'bottom_autoresponder_action', $data['action'] );
              ?>
              <input type="text" id="input-bottom-autoresponder-action" class="ipmtube-input ipmtube-input-full ipmtube-input-autoresponder-action" name="bottom_autoresponder_action" value="<?php echo $action; ?>">

              <div class="ipmtube-help">
                  <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                  <div class="ipmtube-help-content ipmtube-hide">
                      <?php _e( 'The url of the script that will handle the optin form', IPMTUBE_SLUG ); ?>
                  </div>
              </div>
          </div>
      </div>

      <?php
      //Form Email Field
      ?>
      <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
          <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-bottom-autoresponder-email"><?php _e( 'Form Email Field', IPMTUBE_SLUG ); ?></label>
          </div>
          <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

              <select name="bottom_autoresponder_email" id="input-bottom-autoresponder-email">
                  <option value="0">-- <?php _e( 'Select field', IPMTUBE_SLUG ); ?> --</option>
                  <?php
                  $value = stripslashes( $this->setting->getSetting( 'bottom_autoresponder_email', '' ) );
                  if ( ! empty( $data['fields'] )) {
                      foreach( $data['fields'] as $field ) {
                          $sltd = '';
                          if ( $field == $value ) {
                              $sltd = ' selected="selected"';
                          }
                          echo '<option value="' . $field . '"' . $sltd . '>' . $field . '</option>';
                      }
                  }
                  ?>
              </select>
              <?php
              $label = stripslashes( $this->setting->getSetting( 'bottom_autoresponder_email_label', '' ) );
              ?>
              <input class="ipmtube-input ipmtube-input-full mt10" type="text" id="input-bottom-autoresponder-email-label" value="<?php echo $label; ?>" name="bottom_autoresponder_email_label" placeholder="<?php _e( 'Input email label', IPMTUBE_SLUG ); ?>">

              <div class="ipmtube-help">
                  <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                  <div class="ipmtube-help-content ipmtube-hide">
                      <?php _e( 'Set the input of the email optin form. Select a name that represents an email input and specify the title of the email input', IPMTUBE_SLUG ); ?>
                  </div>
              </div>
          </div>
      </div>

      <?php
      //Form Name Field
      ?>
      <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
          <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-bottom-autoresponder-name"><?php _e( 'Form Name Field', IPMTUBE_SLUG ); ?></label>
          </div>
          <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

              <div class="ipmtube-onoff mr10">
                  <?php
                  $val = $this->setting->getSetting( 'bottom_autoresponder_name_activate', 'true' );
                  if ( $val == 'false' ) {
                      $clon  = '';
                      $cloff = ' active';
                  } else {
                      $clon  = ' active';
                      $cloff = '';
                  }
                  ?>
                  <div class="ipmtube-btn-group">
                    <button data-value="true" class="ipmtube-btn-onoff<?php echo $clon; ?> ipmtube-btn-on" type="button"><?php _e( 'On', IPMTUBE_SLUG ); ?></button>
                    <button data-value="false" class="ipmtube-btn-onoff<?php echo $cloff; ?> ipmtube-btn-off" type="button"><?php _e( 'Off', IPMTUBE_SLUG ); ?></button>
                  </div>
                  <input type="hidden" class="ipmtube-onoff-value" name="bottom_autoresponder_name_activate" value="<?php echo $val; ?>" />
              </div>

              <select name="bottom_autoresponder_name" id="input-bottom-autoresponder-name">
                  <option value="0">-- <?php _e( 'Select field', IPMTUBE_SLUG ); ?> --</option>
                  <?php
                  $value = stripslashes( $this->setting->getSetting( 'bottom_autoresponder_name', '' ) );
                  if ( ! empty( $data['fields'] )) {
                      foreach( $data['fields'] as $field ) {
                          $sltd = '';
                          if ( $field == $value ) {
                              $sltd = ' selected="selected"';
                          }
                          echo '<option value="' . $field . '"' . $sltd . '>' . $field . '</option>';
                      }
                  }
                  ?>
              </select>
              <?php
              $label = stripslashes( $this->setting->getSetting( 'bottom_autoresponder_name_label', '' ) );
              ?>
              <input class="ipmtube-input ipmtube-input-full mt10" type="text" id="input-bottom-autoresponder-name-label" value="<?php echo $label; ?>" name="bottom_autoresponder_name_label" placeholder="<?php _e( 'Input name label', IPMTUBE_SLUG ); ?>">

              <div class="ipmtube-help">
                  <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                  <div class="ipmtube-help-content ipmtube-hide">
                      <?php _e( 'Set the input name of the optin form. You can set whether to display the input name or not. if shown you should choose a name that represents the input name and determine the title of the input name', IPMTUBE_SLUG ); ?>
                  </div>
              </div>
          </div>
      </div>
  </div>

  <?php
  //Show/Hide Form Label
  ?>
  <div class="ipmtube-field-row ipmtube-field-x">
      <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-bottom-autoresponder-form-label"><?php _e( 'Show/Hide Form Label', IPMTUBE_SLUG ); ?></label>
      </div>
      <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

          <div class="ipmtube-onoff mr10">
              <?php
              $val = $this->setting->getSetting( 'bottom_autoresponder_form_label', 'true' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipmtube-btn-group">
                <button data-value="true" class="ipmtube-btn-onoff<?php echo $clon; ?> ipmtube-btn-on" type="button"><?php _e( 'Show', IPMTUBE_SLUG ); ?></button>
                <button data-value="false" class="ipmtube-btn-onoff<?php echo $cloff; ?> ipmtube-btn-off" type="button"><?php _e( 'Hide', IPMTUBE_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipmtube-onoff-value" name="bottom_autoresponder_form_label" value="<?php echo $val; ?>" />
          </div>

          <div class="ipmtube-help">
              <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
              <div class="ipmtube-help-content ipmtube-hide">
                  <?php _e( 'Specifies whether to display the label on each input form. If set to off, the label will be displayed as a placeholder in the input.', IPMTUBE_SLUG ); ?>
              </div>
          </div>
      </div>
  </div>

  <?php
  //Button Text
  ?>
  <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
      <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-bottom-autoresponder-button-text"><?php _e( 'Submit Button Text', IPMTUBE_SLUG ); ?></label>
      </div>
      <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $text = $this->setting->getSetting( 'bottom_autoresponder_button_text', '' );
          ?>
          <input class="ipmtube-input ipmtube-input-full" type="text" id="input-bottom-autoresponder-button-text" value="<?php echo $text; ?>" name="bottom_autoresponder_button_text">

          <div class="ipmtube-help">
              <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
              <div class="ipmtube-help-content ipmtube-hide">
                  <?php _e( 'Specifies text or labels of the form submit button', IPMTUBE_SLUG ); ?>
              </div>
          </div>
      </div>
  </div>

</div>
